Regression: Visual new email notification no longer working in 38.2.0

Bug #1491249 reported by Jan Henke on 2015-09-02
192
This bug affects 36 people
Affects Status Importance Assigned to Milestone
thunderbird (Ubuntu)
High
Unassigned

Bug Description

One feature of Thunderbird is a notification through the system notification system whenever a new email arrives in the inbox. With the recent update to version 38.2 this notification no longer works. The "new email" sound plays, but the visual notification is no longer displayed.

This is clearly a regression, since it worked with the previous versions of Thunderbird.

ProblemType: Bug
DistroRelease: Ubuntu 15.04
Package: thunderbird 1:38.2.0+build1-0ubuntu0.15.04.1
ProcVersionSignature: Ubuntu 3.19.0-26.28-generic 3.19.8-ckt4
Uname: Linux 3.19.0-26-generic x86_64
AddonCompatCheckDisabled: False
ApportVersion: 2.17.2-0ubuntu1.3
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/pcmC1D0p: jan 2434 F...m pulseaudio
 /dev/snd/controlC1: jan 2434 F.... pulseaudio
 /dev/snd/controlC0: jan 2434 F.... pulseaudio
BuildID: 20150818212443
Channel: Unavailable
CurrentDesktop: GNOME
Date: Wed Sep 2 08:35:06 2015
EcryptfsInUse: Yes
Extensions: extensions.sqlite corrupt or missing
ForcedLayersAccel: False
IfupdownConfig:
 # interfaces(5) file used by ifup(8) and ifdown(8)
 auto lo
 iface lo inet loopback
IncompatibleExtensions: Unavailable (corrupt or non-existant compatibility.ini or extensions.sqlite)
InstallationDate: Installed on 2015-01-30 (214 days ago)
InstallationMedia: Ubuntu-GNOME 14.10 "Utopic Unicorn" - Release amd64 (20141022.1)
IpRoute:
 default via 192.168.1.1 dev eth0 proto static metric 1024
 169.254.0.0/16 dev eth0 scope link metric 1000
 192.168.1.0/24 dev eth0 proto kernel scope link src 192.168.1.30
IwConfig:
 eth0 no wireless extensions.

 lo no wireless extensions.
Locales: extensions.sqlite corrupt or missing
MostRecentCrashID: bp-90222358-6460-4247-96c9-9500e2150311
Plugins: Gnome Shell Integration - /usr/lib/mozilla/plugins/libgnome-shell-browser-plugin.so (gnome-shell)
PrefSources:
 prefs.js
 [Profile]/extensions/{847b3a00-7ab1-11d4-8f02-006008948af5}/defaults/preferences/enigmail.js
 [Profile]/extensions/{e2fda1a4-762b-4020-b5ad-a41df1933103}/defaults/preferences/lightning.js
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=de_DE.UTF-8
 SHELL=/bin/bash
Profiles: Profile0 (Default) - LastVersion=38.2.0/20150818212443 (In use)
RelatedPackageVersions: gnome-shell 3.14.4-0ubuntu1
RfKill:
 0: hci0: Bluetooth
  Soft blocked: yes
  Hard blocked: no
RunningIncompatibleAddons: False
SourcePackage: thunderbird
SubmittedCrashIDs: bp-90222358-6460-4247-96c9-9500e2150311
Themes: extensions.sqlite corrupt or missing
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 07/14/2015
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A05
dmi.board.name: 0310JH
dmi.board.vendor: Dell Inc.
dmi.board.version: A00
dmi.chassis.type: 9
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvrA05:bd07/14/2015:svnDellInc.:pnXPS139343:pvr:rvnDellInc.:rn0310JH:rvrA00:cvnDellInc.:ct9:cvr:
dmi.product.name: XPS 13 9343
dmi.sys.vendor: Dell Inc.

Jan Henke (jhe) wrote :
Changed in thunderbird (Ubuntu):
status: New → Confirmed
Changed in thunderbird (Ubuntu):
importance: Undecided → High
Gert (gertlink-nospam) wrote :

the bug also affects Kubuntu 14.04 LTS

Thomas Hansen (thomasphansen) wrote :

Affects also Linuxmint 17 Quiana 64 bits

John Brooks (frogging101) wrote :

George99 on the Linux Mint Forums noticed something possibly relevant in the changelog for the repository version of 38.2.0:
https://launchpad.net/ubuntu/+source/thunderbird/1:38.2.0+build1-0ubuntu0.14.04.1

    * Drop debian/patches/revert-removal-of-native-notifications.patch - fixed upstream

Thomas Hansen (thomasphansen) wrote :

tar.bz2 version of Thunderbird 38.2.0 displays its own notification window (not integrated to the desktop notification system), and that works fine. Tried to play with configurations on both version (.tar.bz2 and .deb), no success there.

no longer affects: thunderbird
Thomas Hansen (thomasphansen) wrote :

Also affects LinuxMint Rosa 17.3

Thomas Hansen (thomasphansen) wrote :

Bug still present on Thunderbird 38.4

Kris M (krislema2) wrote :

I notice this as well. 14.04.3 Ubuntu Unity, 38.4.0 TBird.

kinwolf (kinwolf) wrote :

Is this bug being looked at? It's been months and we still don't get notifications with Thunderbird-Ubuntu. Bug still there with TB 38.4

Eduardo Corral (eduardocorral) wrote :

Confirmed in Linux Mint Rosa 17.3 + Thunderbird 38.5.1

Thomas Hansen (thomasphansen) wrote :

Hi Guys, any news on this bug?

Hi. Any news on this bug ?
Confirmed with Ubuntu 14.04.3 LTS + Thunderbird 38.5.1

Benchrest (benchrest) wrote :

Also still failing on Thunderbird 38.5.1 w/ Linux Mint cinnamon 17.3 This is a big deal for me. I don't like having to keep TB up in the corner of the screen so I do not miss an important email.

JP (jtx2001) wrote :

At least you guys get the popup. I dont get the popup or the audio confirmation.

Mozilla needs to get its Effin' act together.

Jan Henke (jhe) wrote :

No notification at all here, neither pop up nor audio.

Maciej (pan-efem) wrote :

Thunderbird 38.5.1 w/ Linux Mint cinnamon 17.3 no notification, no audio.

Hi guys,
someone still alive here to handle this issue ?... :/
the bug is still present with the version 38.6.0 on a fresh Ubuntu 14.04 with a Gmail account.

solax (solax76) wrote :

Dear all,
as workaround I have installed the "Enhanced Desktop Notifications" add-on and I correctly receive notifications.
There are also other add-ons, but I did not test them. This is working good on Linux Mint 17.3.
ciao

JP (jtx2001) wrote :

SOLAX: I added that, and while it does provide a visual aid of incoming mail, I dont get any audio notification.

Though this is better than nothing so I appreciate the pointer.

Its really frustrating not having a notification at all, at least this is something if I'm at the computer I can see it.

Solax, thank you for this add-on but it is not enough... (in my humble opinion, of course).

Thunderbird Devs, please consider this bug ! It's not acceptable, mainly for professionnals...

Still here in version 38.6.0, unbelievable !

Joshua (njj) wrote :

Nobody looks into such basic things? A shame...

Still waiting for the resolution. What the hell ?

Regarding to https://www.mozilla.org/en-US/thunderbird/releases/, the most recent version is 45.1.0.

This version is available on ubuntuzilla repository... I didn't know that.

You guys know what you have to do to get the right version of Thunderbird ;)

A fresh install of Ubuntu 16.04.1 yesterday. Completely updated to the latest software. Configured mail accounts. Initially the thunderbird notification icon color and played a sound when a new mail arrived *and* thunderbird window is open. But there was no OSD notification. When the thunderbird window is closed, no new email notifications whatsoever (no sound, no color change and no OSD). Now it is not changing the color but playing the sound when thunderbird is kept open.

I have calendar addon only, no other.

My thunderbird version is 45.2.0.

This is a strange behavior and poor integration into the DE. Disappointed to see after my switch from KDE to Unity.

I wasn't aware it was supposed to change color... I get a sound and a
small number in the icon on the Launcher. Nice. Thanks! 45.2.0 in 16.04.1

On 09/02/2016 09:39 AM, మంగిపూడి కోదండరామ్ (Mangipudi Kodanda Ram) wrote:
> A fresh install of Ubuntu 16.04.1 yesterday. Completely updated to the
> latest software. Configured mail accounts. Initially the thunderbird
> notification icon color and played a sound when a new mail arrived *and*
> thunderbird window is open. But there was no OSD notification. When the
> thunderbird window is closed, no new email notifications whatsoever (no
> sound, no color change and no OSD). Now it is not changing the color but
> playing the sound when thunderbird is kept open.
>
> I have calendar addon only, no other.
>
> My thunderbird version is 45.2.0.
>
> This is a strange behavior and poor integration into the DE.
> Disappointed to see after my switch from KDE to Unity.
>

Evgenii Frolov (frol-onn) wrote :

The fully updated ubuntu 16.10 install. There is no osd-notifications too! Only sound + Unity panel showing the number of unread + messaging applet changing color.

But where is the notification text-bubble??

Francois Thirioux (fthx) wrote :

Same here (Ubuntu Gnome 17.04, TB 45.4).
I use Gnotifier extension, which works perfectly to display pop-up notifications.

nh2 (nh2) wrote :

Is there an upstream bug for this or is this an Ubuntu specific issue?

aleandro (aleandrodasilva) wrote :

Same here Ubuntu 17.04 TB 52.3 64 bit. Gnotifier extension is not enough because you cannot see how many new messages have income. Furthermore you cannot see how many messages have you already read.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers